<?php

namespace xenMade\STWM\XF\ControllerPlugin;

class Attachment extends XFCP_Attachment
{
    public function displayAttachment(\XF\Entity\Attachment $attachment, $allowViewLog = true)
    {
        $res = parent::displayAttachment($attachment, $allowViewLog);

        if ($res instanceof \XF\Mvc\Reply\View)
        {
            $watermark = \xenMade\STWM\Util\Helper::generateWatermark($attachment);
            $res->setParam('watermark', $watermark);
        }

        return $res;
    }
}
if (false)
{
    class XFCP_Attachment extends \XF\ControllerPlugin\Attachment {}
}