<?php

namespace xenMade\STWM\XF\Repository;

class Attachment extends XFCP_Attachment
{
    public function getUserByAttachmentDataId($dataId)
    {
        if(!$dataId)
            return 'Unknow';


        $db = \XF::db();

        $username = $db->fetchOne('SELECT user.username
				FROM xf_user AS user
				LEFT JOIN xf_attachment_data as ad USING(user_id)
				WHERE ad.data_id = ?', $dataId);

        if(!$username)
            return 'Unknow';

        return $username;
    }

}
if (false)
{
    class XFCP_Attachment extends \XF\Repository\Attachment {}
}